Customizing the Toolbar

WebDataRocks Toolbar is designed to make your web reporting experience easier and more convenient. You can customize the Toolbar in the following ways:

  • Add new custom tabs.
  • Remove the tabs you don’t need.
  • Reorder/change the existing tabs.
  • Set your custom icons for tabs.

Important Before customizing the Toolbar, ensure it is enabled.

Let’s see how to customize the Toolbar in practice.

All customization can be made using the beforetoolbarcreated event which is triggered before the Toolbar is created. The event’s handler will be responsible for changing the Toolbar.

How to remove tabs

Step 1. Assign a handler (e.g., customizeToolbar) to the beforetoolbarcreated event. The handler function has the toolbar as a parameter that contains information about the Toolbar.

Step 2. Inside the handler (e.g., customizeToolbar), retrieve all the tabs using the toolbar.getTabs() method. It returns an array of objects that describe tabs’ properties.

Step 3. To remove a tab, delete a corresponding object from the array of tabs.

Your code should look similar to the following example:

    import { Component } from "@angular/core";
    import { WebdatarocksPivotModule } from "@webdatarocks/ngx-webdatarocks";
    
    @Component({
      selector: "app-root",
      standalone: true,
      imports: [WebdatarocksPivotModule],
      templateUrl: "./app.component.html",
      styleUrls: ["./app.component.css"]
    })
    export class AppComponent {
      customizeToolbar(toolbar: any) {
        // Get all tabs from the Toolbar
        let tabs = toolbar.getTabs();
        toolbar.getTabs = function() {
          // Delete the Connect tab
          return tabs.filter((tab: any) => tab.id !== 'wdr-tab-connect');
        }
      }
    }
    <app-wbr-pivot
     [toolbar]="true"
     (beforetoolbarcreated)="customizeToolbar($event)">
    </app-wbr-pivot>

    How to add new tabs

    Step 1. Assign a handler (e.g., customizeToolbar) to the beforetoolbarcreated event. The handler function has the toolbar as a parameter that contains information about the Toolbar.

    Step 2. Inside the handler (e.g., customizeToolbar), retrieve all the tabs using the toolbar.getTabs() method. It returns an array of objects that describe tabs’ properties.

    Step 3. Add a new tab to the array of tabs.

    Your code should look similar to the following example:

      import { Component } from "@angular/core";
      import { WebdatarocksPivotModule } from "@webdatarocks/ngx-webdatarocks";
      
      @Component({
        selector: "app-root",
        imports: [WebdatarocksPivotModule],
        templateUrl: "./app.component.html",
        styleUrls: ["./app.component.css"]
      })
      export class AppComponent {
        customizeToolbar(toolbar: any) {
          // Get all tabs from the Toolbar
          let tabs = toolbar.getTabs();
          toolbar.getTabs = () => {
            // Add a new tab
            tabs.unshift({
              id: "fm-tab-newtab",
              title: "New Tab",
              handler: () => this.yourCustomFunction(),
              icon: toolbar.icons.open,
            });
            return tabs;
          };
        }
      
      ​​  yourCustomFunction() {
          // Your functionality
        }
      }
      <app-wbr-pivot
       [toolbar]="true"
       (beforetoolbarcreated)="customizeToolbar($event)">
      </app-wbr-pivot>

      How to add a tab with a drop-down

      Step 1. Add a new tab.

      Step 2. Define the menu property of this tab. This property should contain an array of drop-down menu items, each with a Tab Object structure.

      In the example below, we add a new tab with a drop-down menu to change themes:

        import { Component } from "@angular/core";
        import { WebdatarocksPivotModule } from "@webdatarocks/ngx-webdatarocks";
        
        @Component({
          selector: "app-root",
          imports: [WebdatarocksPivotModule],
          templateUrl: "./app.component.html",
          styleUrl: "./app.component.css",
        })
        export class AppComponent {
          // There will be one drop-down tab in the Toolbar
          customizeToolbar(toolbar: any) {
            let tabs = [];
            toolbar.getTabs = () => {
              tabs.unshift({
                id: "custom-select-view",
                title: "Theme",
                menu: [
                  {
                    id: "select-tab-one",
                    title: "Default",
                    handler: () => this.setTheme("/"),
                  },
                  {
                    id: "select-tab-two",
                    title: "Dark",
                    handler: () => this.setTheme("/theme/dark/"),
                  },
                  {
                    id: "select-tab-three",
                    title: "Light Blue",
                    handler: () => this.setTheme("/theme/lightblue/"),
                  },
                ],
                icon: toolbar.icons.options,
              });
              return tabs;
            };
          }
        
          setTheme(theme: any) {
            // ...
          }
        }
        <app-wbr-pivot
          [toolbar]="true"
          (beforetoolbarcreated)="customizeToolbar($event)">
        </app-wbr-pivot>

        Even more advanced customization

        In this guide, we mentioned how to remove the Toolbar tabs and how to add a new one. For further customization, you can reorder the tabs, set the custom icons for the tabs, or implement new functionality. We recommend investigating the existing code to understand how the Toolbar works:

        1. Open the source code of the Toolbar – webdatarocks.toolbar.js file.
        2. Find a prototype of the toolbar.getTabs() method.
        3. Investigate how this method works.

        You can also change the appearance of the Toolbar by changing the component theme.

        See also

Customizing the Toolbar
WebDataRocks Toolbar is designed to make your web reporting experience easier and more convenient. You can customize the Toolbar in the following ways:
- Add new custom tabs.
- Remove the tabs you don’t need.
- Reorder/change the existing tabs.
- Set your custom icons for tabs.
Important Before customizing the Toolbar, ensure it is enabled.
Let’s see how to customize the Toolbar in practice.
All customization can be made using the beforetoolbarcreated event which is triggered before the Toolbar is created. The event’s handler will be responsible for changing the Toolbar.
How to remove tabs
Step 1. Assign a handler (e.g., customizeToolbar
) to the beforetoolbarcreated event. The handler function has the toolbar
as a parameter that contains information about the Toolbar.
Step 2. Inside the handler (e.g., customizeToolbar
), retrieve all the tabs using the toolbar.getTabs()
method. It returns an array of objects that describe tabs’ properties.
Step 3. To remove a tab, delete a corresponding object from the array of tabs.
Your code should look similar to the following example:
<script setup>
import { Pivot } from "@webdatarocks/vue-webdatarocks";
import "@webdatarocks/webdatarocks/webdatarocks.css";
const customizeToolbar = (toolbar) => {
// Get all tabs from the Toolbar
let tabs = toolbar.getTabs();
if (tabs.length > 0) {
// Delete the Connect tab
tabs = tabs.filter(tab => tab.id !== "wdr-tab-connect");
}
toolbar.getTabs = () => tabs;
};
</script>
<template>
<div>
<Pivot
toolbar
:beforetoolbarcreated="customizeToolbar"
/>
</div>
</template>
How to add new tabs
Step 1. Assign a handler (e.g., customizeToolbar
) to the beforetoolbarcreated event. The handler function has the toolbar
as a parameter that contains information about the Toolbar.
Step 2. Inside the handler (e.g., customizeToolbar
), retrieve all the tabs using the toolbar.getTabs()
method. It returns an array of objects that describe tabs’ properties.
Step 3. Add a new tab to the array of tabs.
Your code should look similar to the following example:
<script setup>
import { Pivot } from "@webdatarocks/vue-webdatarocks";
import "@webdatarocks/webdatarocks/webdatarocks.css";
const customizeToolbar = (toolbar) => {
// Get all tabs from the Toolbar
let tabs = toolbar.getTabs();
toolbar.getTabs = () => {
// Add a new tab
tabs.unshift({
id: "fm-tab-newtab",
title: "New Tab",
handler: yourCustomFunction,
icon: toolbar.icons.open,
});
return tabs;
};
};
const yourCustomFunction = () => {
// Your functionality
}
</script>
<template>
<div>
<Pivot
toolbar
:beforetoolbarcreated="customizeToolbar"
/>
</div>
</template>
How to add a tab with a drop-down
Step 1. Add a new tab.
Step 2. Define the menu
property of this tab. This property should contain an array of drop-down menu items, each with a Tab Object structure.
In the example below, we add a new tab with a drop-down menu to change themes:
<script setup>
import { Pivot } from "@webdatarocks/vue-webdatarocks";
import "@webdatarocks/webdatarocks/webdatarocks.css";
// There will be one drop-down tab in the Toolbar
const customizeToolbar = (toolbar) => {
let tabs = [];
toolbar.getTabs = () => {
tabs.unshift({
id: "theme-dropdown",
title: "Theme",
menu: [
{
id: "default-theme",
title: "Default",
handler: () => setTheme("/")
},
{
id: "dark-theme",
title: "Dark",
handler: () => setTheme("/theme/dark/"),
},
{
id: "lightblue-theme",
title: "Light Blue",
handler: () => setTheme("/theme/lightblue/"),
},
],
icon: toolbar.icons.options,
});
return tabs;
};
};
const setTheme = (theme) => {
// ...
};
</script>
<template>
<div>
<Pivot
toolbar
:beforetoolbarcreated="customizeToolbar" />
</div>
</template>
Even more advanced customization
In this guide, we mentioned how to remove the Toolbar tabs and how to add a new one. For further customization, you can reorder the tabs, set the custom icons for the tabs, or implement new functionality. We recommend investigating the existing code to understand how the Toolbar works:
- Open the source code of the Toolbar –
webdatarocks.toolbar.js
file. - Find a prototype of the
toolbar.getTabs()
method. - Investigate how this method works.
You can also change the appearance of the Toolbar by changing the component theme.

Customizing the Toolbar

WebDataRocks Toolbar is designed to make your web reporting experience easier and more convenient. You can customize the Toolbar in the following ways:

  • Add new custom tabs.
  • Remove the tabs you don’t need.
  • Reorder/change the existing tabs.
  • Set your custom icons for tabs.

Important Before customizing the Toolbar, ensure it is enabled.

Let’s see how to customize the Toolbar in practice.

All customization can be made using the beforetoolbarcreated event which is triggered before the Toolbar is created. The event’s handler will be responsible for changing the Toolbar.

How to remove tabs

Step 1. Assign a handler (e.g., customizeToolbar) to the beforetoolbarcreated event. The handler function has the toolbar as a parameter that contains information about the Toolbar.

Step 2. Inside the handler (e.g., customizeToolbar), retrieve all the tabs using the toolbar.getTabs() method. It returns an array of objects that describe tabs’ properties.

Step 3. To remove a tab, delete a corresponding object from the array of tabs.

Your code should look similar to the following example:

import * as WebDataRocksReact from "@webdatarocks/react-webdatarocks";

function App() {
function customizeToolbar(toolbar) {
// Get all tabs from the Toolbar
let tabs = toolbar.getTabs();
toolbar.getTabs = function() {
// Delete the Connect tab
tabs = tabs.filter(tab => tab.id !== "wdr-tab-connect");
return tabs;
}
}

return (
<div>
<WebDataRocksReact.Pivot
toolbar={true}
beforetoolbarcreated={customizeToolbar}
/>
</div>
);
}

export default App

How to add new tabs

Step 1. Assign a handler (e.g., customizeToolbar) to the beforetoolbarcreated event. The handler function has the toolbar as a parameter that contains information about the Toolbar.

Step 2. Inside the handler (e.g., customizeToolbar), retrieve all the tabs using the toolbar.getTabs() method. It returns an array of objects that describe tabs’ properties.

Step 3. Add a new tab to the array of tabs.

Your code should look similar to the following example:

import * as WebDataRocksReact from "@webdatarocks/react-webdatarocks";

function App() {
const customizeToolbar = (toolbar) => {
// Get all tabs from the Toolbar
let tabs = toolbar.getTabs();
toolbar.getTabs = () => {
// Add a new tab
tabs.unshift({
id: "war-tab-new tab",
title: "New Tab",
handler: yourCustomFunction,
icon: toolbar.icons.open,
});
return tabs;
};
};

const yourCustomFunction = () => {
// Your functionality
}

return (
<div>
<WebDataRocksReact.Pivot
toolbar={true}
beforetoolbarcreated={customizeToolbar}
/>
</div>
);
}

export default App

How to add a tab with a drop-down

Step 1. Add a new tab.

Step 2. Define the menu property of this tab. This property should contain an array of drop-down menu items, each with a Tab Object structure.

In the example below, we add a new tab with a drop-down menu to change themes:

import * as WebDataRocksReact from "@webdatarocks/react-webdatarocks";

function App() {
// There will be one drop-down tab in the Toolbar
const customizeToolbar = (toolbar) => {
let tabs = [];
toolbar.getTabs = function () {
tabs.unshift({
id: "custom-select-view",
title: "Theme",
menu: [
{
id: "select-tab-one",
title: "Default",
handler: () => setTheme("/"),
},
{
id: "select-tab-two",
title: "Dark",
handler: () => setTheme("/theme/dark/"),
},
{
id: "select-tab-three",
title: "Light Blue",
handler: () => setTheme("/theme/lightblue/"),
},
],
icon: toolbar.icons.options,
});
return tabs;
};
};

const setTheme = (theme) => {
// ...
};

return (
<div>
<WebDataRocksReact.Pivot
toolbar={true}
beforetoolbarcreated={customizeToolbar}
/>
</div>
);
}
export default App;

Even more advanced customization

In this guide, we mentioned how to remove the Toolbar tabs and how to add a new one. For further customization, you can reorder the tabs, set the custom icons for the tabs, or implement new functionality. We recommend investigating the existing code to understand how the Toolbar works:

  1. Open the source code of the Toolbar – webdatarocks.toolbar.js file.
  2. Find a prototype of the toolbar.getTabs() method.
  3. Investigate how this method works.

You can also change the appearance of the Toolbar by changing the component theme.

See also